Bug 1524309 - Repetitive storage volume deletion gives unexpected error
Summary: Repetitive storage volume deletion gives unexpected error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.0
Assignee: Scott Seago
QA Contact: Nikhil Dhandre
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 08:40 UTC by Nikhil Dhandre
Modified: 2019-02-07 23:00 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:45 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
Unexpected error (47.17 KB, image/png)
2017-12-11 08:40 UTC, Nikhil Dhandre
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:51 UTC

Description Nikhil Dhandre 2017-12-11 08:40:47 UTC
Created attachment 1365816 [details]
Unexpected error

Description of problem:
----------------------
Repetitive deletion of storage volume gives an unexpected error in UI. with undefined method `status' for nil:NilClass [cloud_volume/button]

Version-Release number of selected component (if applicable):
------------------------------------------------------------
Version 5.7.4.2.20171207173836_e563ef4



How reproducible:
-----------------
always

Steps to Reproduce:
-------------------
1. create one storage volume
2. delete it one time
3. It will take time to delete; Now without refresh relationship go for deletion again.

Actual results:
---------------
Unexpected error

Expected results:
-----------------
It should handle this in the backend with proper UI flash message.

Additional info:
---------------
[0] Attaching snapshot
[1] production log:               http://pastebin.test.redhat.com/539438

Comment 2 Bronagh Sorota 2018-01-26 22:12:24 UTC
Nikhil,
Which provider is this for?
Thanks
Bronagh

Comment 4 Scott Seago 2018-02-05 16:53:44 UTC
The UI component to the error was previously fixed with https://github.com/ManageIQ/manageiq-providers-openstack/pull/147

However, the attempted second deletion was still triggering an error on the back end task. https://github.com/ManageIQ/manageiq-providers-openstack/pull/224 resolves the task error.

Comment 5 CFME Bot 2018-02-05 20:24:42 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:
https://github.com/ManageIQ/manageiq-providers-openstack/commit/46c702b6f879aef04f423ff9bd34e5f9acc06de2

commit 46c702b6f879aef04f423ff9bd34e5f9acc06de2
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Mon Feb 5 09:57:58 2018 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Mon Feb 5 14:10:03 2018 -0500

    Bug 1524309 - Repetitive storage volume deletion gives unexpected error`
    
    BZ 1524309: handle "volume doesn't exist" situation in raw_delete_volume:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1524309

 app/models/manageiq/providers/openstack/cloud_manager/cloud_volume.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Nikhil Dhandre 2018-07-03 13:51:57 UTC
Verified with Version 5.10.0.2.20180626170006_40dc459.

Comment 8 Jad Haj Yahya 2018-07-15 11:09:38 UTC
Verified on 5.10.0.3

Comment 9 errata-xmlrpc 2019-02-07 23:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.